# Uses of Enum Class
org.bukkit.scoreboard.DisplaySlot

Packages that use DisplaySlot
Package
Description
org.bukkit.scoreboard
Interfaces used to manage the client side score display system.

## Uses of DisplaySlot in org.bukkit.scoreboard

Fields in org.bukkit.scoreboard with type parameters of type DisplaySlot
Modifier and Type
Field
Description
`static final Index<String,DisplaySlot>`
DisplaySlot.`NAMES`
Methods in org.bukkit.scoreboard that return DisplaySlot
Modifier and Type
Method
Description
`@Nullable DisplaySlot`
Objective.`getDisplaySlot()`
Gets the display slot this objective is displayed at.
`static DisplaySlot`
DisplaySlot.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DisplaySlot[]`
DisplaySlot.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.scoreboard with parameters of type DisplaySlot
Modifier and Type
Method
Description
`void`
Scoreboard.`clearSlot(@NotNull DisplaySlot slot)`
Clears any objective in the specified slot.
`@Nullable Objective`
Scoreboard.`getObjective(@NotNull DisplaySlot slot)`
Gets the Objective currently displayed in a DisplaySlot on this Scoreboard
`void`
Objective.`setDisplaySlot(@Nullable DisplaySlot slot)`
Sets this objective to display on the specified slot for the scoreboard, removing it from any other display slot.